mode 100,80
rem *******************************************************************                             
rem  UPSSV-Installer-This-cmd-requires-your-Modification
rem *******************************************************************
rem  File: UPSSV-Installer-This-cmd-requires-your-Modification.cmd
rem *******************************************************************
rem  Copyright 2008 Rainer D. Stroebel 
rem *******************************************************************
rem
rem  Function:
rem  ---------
rem  1. You hard code here the customized options of UPSSV
rem     
rem  2. The data will be check
rem          --> Error --> Message --> Pause--> any Key--> Exit
rem  3. call a Rexx Program to 
rem       Create of a WPS Folder for the Package  
rem       Create of a WPS Porgram Objects 
rem              
rem  External:
rem  UPSSV-WPS-Object-Creation.cmd 
rem
rem  Version 1.0.1  2008-07-13 Intial release     
rem  Version 1.0.2  2008-07-14 Correct Errorlevel test condition

rem
rem  ------------------------------------------------------------
rem  Input Parameter "Hard Coded" to be modified by the Installer 
rem  ------------------------------------------------------------
rem  param  variable                      value ( for example )
rem
rem  0  UPSSV_Inst_Path=                  S:\UPSSV-v-1-0        
rem  1  MOZILLA_DRIVE=                    S:
rem  2  MOZILLA_DIR=                      MoF-3000
rem  3  User_Profile_Prod_Path=           S:\mof-3000\mozilla\Firefox\Profiles\xxxx.default
rem  4  User_Profile_Save_Drive=          P:
rem  5  User_Profile_Save_Dir=            MoF-3000-Save
rem
rem ----------------------------------------------------------------------------------
rem *** Definition of Parameter/Options "Hard Coded" - Values required customizing ***
rem ---------------------------------------------------------------------------------- 
    set UPSSV_Inst_Path=S:\UPSSV-v-1-0
rem
    set MOZILLA_DRIVE=S:
    set MOZILLA_DIR=MoF-3000
rem
    set User_Profile_Prod_Path=S:\mof-3000\mozilla\Firefox\Profiles\xxxx.defaultt
rem
    set User_Profile_Save_Drive=P:
    set User_Profile_Save_Dir=%MOZILLA_DIR%-Save
rem
rem *******************************************************************************
rem
    Set UPSSV_WPS_Proc=UPSSV-WPS-Object-Creation.cmd
rem 
rem *******************************************************************************************
rem Start Test_Mode /DEV_Mode  code to run the procedure on my development system configuration
rem ******************************************************************************************* 

    IF NOT EXIST S:\UPSSV-HIS\dev-mode  GOTO PRODSYS

    set MOZILLA_DIR=%DEV_MODE_MOZILLA_DIR%
    set User_Profile_Prod_Path=%DEV_MODE_User_Profile_Prod_Path%
    set User_Profile_Save_Dir=%MOZILLA_DIR%-Save

:PRODSYS
rem *******************************************************************************************
rem End   Test_Mode /DEV_Mode  code run to the procedure on my development system configuration
rem *******************************************************************************************
rem
rem
@echo --------------------------------------------------------------
@echo Code values to pass to WPS Creation procedure
@echo --------------------------------------------------------------
@echo UPSSV_Inst_Path          0 ="%UPSSV_Inst_Path%"
@echo MOZILLA_DRIVE            1 ="%MOZILLA_DRIVE%" 
@echo MOZILLA_DIR              2 ="%MOZILLA_DIR%"
@echo User_Profile_Prod_Path   3 ="%User_Profile_Prod_Path%"
@echo User_Profile_Save_Drive  4 ="%User_Profile_Save_Drive%"
@echo User_Profile_Save_Dir    5 ="%User_Profile_Save_Dir%"
@echo --------------------------------------------------------------
@echo Abort with Crtl+ C if you like to correct the values
Pause
rem  
    set MOZILLA_DRIVE_DIR=%MOZILLA_DRIVE%\%MOZILLA_DIR% 
    set User_Profile_Save_Path=%User_Profile_Save_Drive%\%User_Profile_Save_Dir%
rem
rem *****************************************
rem  Start Pausibility checking of the values
rem *****************************************
rem
    IF  EXIST %UPSSV_Inst_Path%\readme.txt  GOTO  N01pass
    @echo ---------------------------------------------------------------------------------------------
    @echo UPSSV WPSE001E Error UPSSV_Inst_Path = "%UPSSV_Inst_Path% does not exist or readme.txt missing
    @echo ---------------------------------------------------------------------------------------------
    Pause
    GOTO ENDE
:N01pass
rem =========================
    copy %UPSSV_Inst_Path%\readme.txt %MOZILLA_DRIVE%\%MOZILLA_DIR%\readme.temp
    IF   EXIST                        %MOZILLA_DRIVE%\%MOZILLA_DIR%\readme.temp GOTO N02pass
    @echo ---------------------------------------------------------------------------------------------
    @echo UPSSV WPSE002E Error MOZILLA_DRIVE\MOZILLA_DIR = %MOZILLA_DRIVE%\%MOZILLA_DIR% does not exist 
    @echo ---------------------------------------------------------------------------------------------
    Pause
    GOTO ENDE
:N02pass
    del %MOZILLA_DRIVE%\%MOZILLA_DIR%\readme.temp
rem ========================= 
    IF  EXIST %User_Profile_Prod_Path%\places.sqlite GOTO  N03pass
    @echo ---------------------------------------------------------------------------------------------
    @echo UPSSV WPSE003E Error User_Profile_Prod_Path = "%User_Profile_Prod_Path% does not exist or places.SQLite are missing
    @echo ---------------------------------------------------------------------------------------------
    Pause
    GOTO ENDE
:N03pass
:N01pass
rem =========================
    copy %UPSSV_Inst_Path%\readme.txt %User_Profile_Save_Path%\readme.temp
    IF   EXIST                        %User_Profile_Save_Path%\readme.temp GOTO N04pass
    @echo ---------------------------------------------------------------------------------------------
    @echo UPSSV WPSE004E Error User_Profile_Save_Drive\User_Profile_Save_Dir = %User_Profile_Save_Drive%\%User_Profile_Save_Dir% does not exist 
    @echo ---------------------------------------------------------------------------------------------
    Pause
    GOTO ENDE
:N04pass
    del %User_Profile_Save_Path%\readme.temp
rem
rem *****************************************
rem  End   Pausibility checking of the values
rem *****************************************
rem
rem *********************************
rem Call UPSSV WPS Creation Procedure
rem *********************************
rem Parameter-No  No= 7   1                 2               3             4                        5                         6
    call %UPSSV_WPS_Proc% %UPSSV_Inst_Path% %MOZILLA_DRIVE% %MOZILLA_DIR% %User_Profile_Prod_Path% %User_Profile_Save_Drive% %User_Profile_Save_Dir%
    IF NOT ERRORLEVEL 1 GOTO WPSDone
rem
    @echo ------------------------------------------------------------------------------------------
    @echo UPSSV WPSE005S Sever Error Return code not 0 : Error in ReXX UPSSV-WPS-Object-Creation.cmd
    @echo ------------------------------------------------------------------------------------------
    pause
    GOTO Ende
:WPSDone 
    @echo -------------------------------------------------------------
    @echo UPSSV WPSE000I Creation of UPSSV WPS Objects succesfully done
    @echo -------------------------------------------------------------
    pause
    GOTO Ende
rem *********************************

rem ***************************
rem exit for all cases/branches
rem **************************
:Ende
Pause
  